#
# spec file for package jpackage-utils (Version 1.6.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           jpackage-utils
%define jpackage-ver 1.6
%define jpackage-section free
Version:        1.6.3
Release:        18.4
Summary:        JPackage Utilities
License:        GPL
Group:          Development/Languages/Java
URL:            http://www.jpackage.org/
Source0:        %{name}-%{version}.tar.bz2
Source1:        README.SUSE
Patch0:         %{name}-%{version}.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
AutoReqProv:    no
Requires:       /bin/egrep, /bin/sed, /usr/bin/perl

%description
Utilities for the JPackage project <http://www.jpackage.org/>.



%debug_package
%prep
%setup -q
%patch0

%build
echo "JPackage release %{ver} (%{distribution}) for %{buildarch}" \
 > etc/jpackage-release

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 ${RPM_BUILD_ROOT}%{_bindir}
install -dm 755 ${RPM_BUILD_ROOT}%{_sysconfdir}/{java,rpm}
install -dm 755 ${RPM_BUILD_ROOT}%{_jvmdir}
install -dm 755 ${RPM_BUILD_ROOT}%{_jvmjardir}
install -dm 755 ${RPM_BUILD_ROOT}%{_jvmprivdir}
install -dm 755 ${RPM_BUILD_ROOT}%{_javadir}
install -dm 755 ${RPM_BUILD_ROOT}%{_jnidir}
install -dm 755 ${RPM_BUILD_ROOT}%{_javadir}-{utils,ext,1.4.0,1.4.1,1.4.2,1.5.0}
install -dm 755 ${RPM_BUILD_ROOT}%{_jnidir}-{ext,1.4.0,1.4.1,1.4.2,1.5.0}
install -dm 755 ${RPM_BUILD_ROOT}%{_javadocdir}
install -pm 755 bin/* ${RPM_BUILD_ROOT}%{_bindir}
install -pm 644 etc/font.properties ${RPM_BUILD_ROOT}%{_sysconfdir}/java
%ifarch x86_64 ppc64 s390x
# on archs where _jvmdir, _jvmjardir etc. end up in /usr/lib64, add
# their unspecified equivalents in case we want to install a 32bit
# package later
install -dm 755 ${RPM_BUILD_ROOT}/usr/lib/jvm
install -dm 755 ${RPM_BUILD_ROOT}/usr/lib/jvm-exports 
install -dm 755 ${RPM_BUILD_ROOT}/usr/lib/jvm-private 
install -dm 755 ${RPM_BUILD_ROOT}/usr/lib/java-{ext,1.4.0,1.4.1,1.4.2,1.5.0}
cat > etc/java.conf << EOF
# System-wide Java configuration file                                -*- sh -*-
#
# JPackage Project <http://www.jpackage.org/>
# Location of jar files on the system
JAVA_LIBDIR=%{_javadir}
# Location of arch-specific jar files on the system
JNI_LIBDIR=%{_jnidir}
# Location of 32 bit arch-specific jar files on the system
JNI_LIBDIR32=/usr/lib/java
# Root of all native JVM installations
JVM_ROOT=%{_jvmdir}
# Root of all 32 bit JVM installations
JVM_ROOT32=/usr/lib/jvm
# You can define a system-wide JVM root here if you're not using the default one
#JAVA_HOME=\$JVM_ROOT/java-bea
# Options to pass to the java interpreter
JAVACMD_OPTS=
EOF
%else
cat > etc/java.conf << EOF
# System-wide Java configuration file                                -*- sh -*-
#
# JPackage Project <http://www.jpackage.org/>
# Location of jar files on the system
JAVA_LIBDIR=%{_javadir}
# Location of arch-specific jar files on the system
JNI_LIBDIR=%{_jnidir}
# Root of all native JVM installations
JVM_ROOT=%{_jvmdir}
# You can define a system-wide JVM root here if you're not using the
# default one
#JAVA_HOME=\$JVM_ROOT/java-bea
# Options to pass to the java interpreter
JAVACMD_OPTS=
EOF
%endif
install -pm 644 etc/java.conf ${RPM_BUILD_ROOT}%{_sysconfdir}/java
install -pm 644 etc/jpackage-release ${RPM_BUILD_ROOT}%{_sysconfdir}/java
install -pm 644 java-utils/* ${RPM_BUILD_ROOT}%{_javadir}-utils
cat <<EOF > %{name}-%{version}.files
%{_bindir}/*
## These probably should go to the filesystem package. Commented out
# those that are already included.
#%dir %{_sysconfdir}/java
%dir %{_jvmdir}
%dir %{_jvmjardir}
%dir %{_jvmprivdir}
#%dir %{_javadir}
%dir %{_javadir}-*
%dir %{_jnidir}-*
%dir %{_javadocdir}
%{_javadir}-utils/*
## end candidates for filesystem package
%config %{_sysconfdir}/java/jpackage-release
%config(noreplace) %{_sysconfdir}/java/java.conf
%config(noreplace) %{_sysconfdir}/java/font.properties
EOF
%ifarch x86_64 ppc64 s390x
cat <<EOF >> %{name}-%{version}.files
# on archs where _jvmdir, _jvmjardir etc. end up in /usr/lib64, add
# their unspecified equivalents in case we want to install a 32bit
# package later
%dir /usr/lib/jvm
%dir /usr/lib/jvm-exports 
%dir /usr/lib/jvm-private 
%dir /usr/lib/java-*
EOF
%endif
# README.SUSE
cp %{SOURCE1} .

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}.files
%defattr(-,root,root,-)
%doc doc/* etc/httpd-javadoc.conf
%doc README.SUSE

%changelog -n jpackage-utils
* Mon May 29 2006 - dbornkessel@suse.de
- updated README with information about set[Default]Java substitution (Bug #179325)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 05 2005 - dmueller@suse.de
- add norootforbuild
* Mon Mar 07 2005 - skh@suse.de
- if a 32bit java was found on a biarch platform, use it as default
  for everything now until a more elaborate (and better) solution has
  been agreed on with the jpackage project
* Fri Mar 04 2005 - skh@suse.de
- also check the 32bit directories for a working java on biarch
  platforms
* Fri Feb 18 2005 - skh@suse.de
- provide installation directories for both 32 and 64 bit jvms on biarch
  platforms
- no longer a noarch package
- update to version 1.6.3
* Wed Sep 29 2004 - skh@suse.de
- added README.SUSE to documentation
* Wed Sep 01 2004 - skh@suse.de
- package created, initial version 1.5.38
